# Mentoring

To help you get up to speed, or further develop you Argo Workflows contribution skills, you can now get a mentor.

Mentors will help you with things like:

* Resources to learn Golang, Typescript and React.
* Get Argo Workflows running in development mode on your laptop.
* Understand key concepts and learn your way around the source code
* Getting your first pull request with a code contribution created, reviewed and merged.

Mentors and mentees must abide by the [code of conduct](https://github.com/cncf/foundation/blob/master/code-of-conduct.md).

## How To Get A Mentor

Create [a mentoring request](https://github.com/argoproj/argo-workflows/issues/new/choose) with the title "I would like a mentor" and answer the questions in the issue template.
Note that this is only for general mentoring. For Google Summer of Code, please **do not** create a mentoring request and find the instructions in the relevant section below.

We'll find the right mentor for you.

## How To Become A Mentor

Create a pull request which changes this page to add you to this list:

Mentors:

* [@alexec](https://github.com/alexec) (Alex)
* [@simster7](https://github.com/simster7) (Simon)
* [@sarabala1979](https://github.com/sarabala1979) (Bala)
* [@terrytangyuan](https://github.com/terrytangyuan) (Yuan)
* [@dinever](https://github.com/dinever) (Peixuan)
* [@blkperl](https://github.com/blkperl) (William)
* [@JPZ13](https://github.com/JPZ13) (J.P.)
* [@tczhao](https://github.com/tczhao) (Tianchu)

## How To End Your Relationship

The mentoring relationship ends as soon as the related code contribution gets merged/closed.

## How to Participate Google Summer of Code

We are participating [Google Summer of Code (GSoC)](https://summerofcode.withgoogle.com/) as part of the [CNCF mentoring program](https://github.com/cncf/mentoring)! Please check out the list of project ideas [here](https://github.com/cncf/mentoring/blob/main/summerofcode/2022.md#argo).

If you are interested in applying and working on a particular project, please take a look at the timeline [here](https://developers.google.com/open-source/gsoc/timeline) and submit your proposal only to the GSoC program website. Proposals submitted outside of the Google Summer of Code program site **will not be considered** for Google Summer of Code.

For program specific questions, please refer to [GSoC FAQ](https://developers.google.com/open-source/gsoc/faq).

## How To Get Help

If you have any problems with your relationship, please contact us:

* alex_collins@intuit.com
<!-- * TODO - if some want to get help with Alex, then it cannot be alex they email -->

